      *****************************************************************
      *               ASCEBCB3.CPY - a COBOL Copy File                *
      *         Copyright (C) 1987-2015 SimoTime Technologies         *
      *                     All Rights Reserved                       *
      *              Provided by SimoTime Technologies                *
      *        Our e-mail address is: helpdesk@simotime.com           *
      *     Also, visit our Web Site at http://www.simotime.com       *
      *****************************************************************
      * The following tables are used by the INSPECT statement to do  *
      * the conversion between EBCDIC and ASCII for extended,         *
      * alternate codes.                                              *
      *   inspect FIELD-NAME converting E-INFO-EXT to A-INFO-EXT      *
      *   inspect FIELD-NAME converting A-INFO-EXT to E-INFO          *
      *                                                               *
      * The tables may also be used to convert between lower and      *
      * upper case.                                                   *
      *   inspect FIELD-NAME converting E-LOWER-EXT to E-UPPER-EXT    *
      *   inspect FIELD-NAME converting A-LOWER-EXT to A-UPPER-EXT    *
      *                                                               *
      * The following tables include the alternate codes for A, E, I, *
      * O, and U with the appropriate acute, grave, umlaut,           *
      * circumflex and tilde.                                         *
      * To display the alternate codes the Courier New (Fixed) or     *
      * Times New Roman (Proportional) font should be used.           *
      *                                                               *
      * SimoZAPS contains four tables that may be used for various    *
      * Upper/Lower Case or EBCDIC/ASCII conversion requirements.     *
      * ASCEBCB1.CPY - includes a full character set for the alphabet *
      *                (upper/lower case), digit, special characters  *
      *                and alternate codes for characters with the    *
      *                acute, grave, umlaut, tilde and circumflex.    *
      *                Caution: this table does not convert the Y     *
      *                characters with an umlat.                      *
      * ASCEBCB2.CPY - includes the character set for the translation *
      *                between EBCDIC/ASCII of signed/unsigned,       *
      *                zoned-decimal, numeric fields.                 *
      * ASCEBCB3.CPY - includes the character set for the alternate   *
      *                codes with the acute, grave, umlaut, tilde and *
      *                circumflex. This is primarily used for case    *
      *                conversion.                                    *
      *                Note: this table converts the Y characters     *
      *                with an umlat, this may convert high-values    *
      *                X'FF' to X'DF'
      * ASCEBCB4.CPY - includes the character set for the alphabet    *
      *                (upper/lower case), digit, special characters. *
      *                This is primarily used in the US where the     *
      *                alternate codes may not be required.           *
      * ASCEBCB5.CPY - includes a full character set for the alphabet *
      *                (upper/lower case), digit, special characters  *
      *                and alternate codes for characters with the    *
      *                acute, grave, umlaut, tilde and circumflex.    *
      *                Caution: this table will convert the Y         *
      *                characters with an umlat.                      *
      *****************************************************************
      *
      *    ------------------------------------------------------------
      *    **  The EBCDIC Table ...
       01  EBCDIC-DATA.
           05  EBCDIC-UPPER-CASE-EXT.
               10  filler   pic X(7)  value X'62636465666769'.          IN-AN
               10  filler   pic X(8)  value X'7172737475767778'.        IN-EI
               10  filler   pic X(5)  value X'EBECEDEEEF'.              IN-O
               10  filler   pic X(6)  value X'FBFCFDFEFFAD'.            IN-UY
               10  filler   pic X(2)  value X'6780'.                    IN-AO
               10  filler   pic X     value X'68'.                      CEDILLA
           05  E-UPPER-EXT  redefines EBCDIC-UPPER-CASE-EXT
                            pic X(29).
           05  EBCDIC-LOWER-CASE-EXT.
               10  filler   pic X(7)  value X'42434445464749'.          IN-an
               10  filler   pic X(8)  value X'5152535455565758'.        IN-ei
               10  filler   pic X(5)  value X'CBCCCDCECF'.              IN-o
               10  filler   pic X(6)  value X'DBDCDDDEDF8D'.            IN-uy
               10  filler   pic X(2)  value X'4770'.                    IN-ao
               10  filler   pic X     value X'48'.                      cedilla
           05  E-LOWER-EXT  redefines EBCDIC-LOWER-CASE-EXT
                            pic X(29).
       01  E-INFO           redefines EBCDIC-DATA pic X(58).
       01  EBCDIC-TABLE     redefines EBCDIC-DATA.
           05  EBCDIC-BYTE  pic X     occurs 58 times.
       01  E-INFO-EXT       redefines EBCDIC-DATA
                            pic X(58).
      *
      *    ------------------------------------------------------------
      *    **  The ASCII Table ...
       01  ASCII-DATA.
           05  ASCII-UPPER-CASE-EXT.
               10  filler   pic X(7)  value X'C2C4C0C1C3C5D1'.          IN-AN
               10  filler   pic X(8)  value X'C9CAC4C8CDCECFCC'.        IN-EI
               10  filler   pic X(5)  value X'D4D6D2D3D5'.              IN-O
               10  filler   pic X(6)  value X'DBDCD9DA9EDD'.            IN-UY
               10  filler   pic X(2)  value X'C5D8'.                    IN-AO
               10  filler   pic X     value X'C7'.                      CEDILLA
          05  A-UPPER-EXT   redefines ASCII-UPPER-CASE-EXT
                            pic X(29).
           05  ASCII-LOWER-CASE-EXT.
               10  filler   pic X(7)  value X'E2E4E0E1E3E5F1'.          IN-a+
               10  filler   pic X(8)  value X'E9E2E4E0EDEEEFEC'.        IN-ei
               10  filler   pic X(5)  value X'F4F6F2F3F5'.              IN-o
               10  filler   pic X(6)  value X'FBFCF9FAFFFD'.            IN-uy
               10  filler   pic X(2)  value X'E5F8'.                    IN-ao
               10  filler   pic X     value X'E7'.                      cedilla
          05  A-LOWER-EXT   redefines ASCII-LOWER-CASE-EXT
                            pic X(29).
       01  A-INFO           redefines ASCII-DATA pic X(58).
       01  ASCII-TABLE      redefines ASCII-DATA.
           05  ASCII-BYTE   pic X     occurs 58 times.
       01  A-INFO-EXT       redefines ASCII-DATA
                            pic X(58).
      *
      ***  ASCEBCB3 - End-of-Copy File - - - - - - - - - - - ASCEBCB3 *
      *****************************************************************
      *
