@echo OFF
rem  * *******************************************************************
rem  *               DATMRTW2.cmd - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Create a file with multiple record types and multiple
rem  *          field types within the records.
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * The job will read an 80-byte file that contains JUSTIFY
rem  * information. The job will also write a file containing the results
rem  * of the justify functions..
rem  *
rem  * This set of programs will run on a mainframe under MVS or on a
rem  * Personal Computer with Windows and Micro Focus Net Express.
rem  *
rem  *                     ************
rem  *                     * DATMRTW2 *
rem  *                     ********cmd*
rem  *                          *
rem  *                          *
rem  *                     ************     ************
rem  *                     * ezSetEnv *******  SetEnv  *
rem  *                     ********cmd*  *  *******task*
rem  *                          *
rem  *                          *
rem  *    ************     ************     ************
rem  *    * DATMRTD1 ******* DATMRTC1 ******* DATMRTD2 *
rem  *    *******rseq*     ********cbl*     *******rseq*
rem  *                          *
rem  *                          *
rem  *                     ************
rem  *                     *   EOJ    *
rem  *                     ************
rem  *
rem  * *******************************************************************
rem  * Step 1 of 4, Set global or Common Environment Variables
rem  *
     set CmdName=DATMRTW2
     call ..\ENV1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%.cmd"
     call SimoNOTE "Starting CmdName %CmdName%"
rem  *
rem  * Step 2 of 4, Do specific file mapping and delete any previously
rem  *              created file...
rem  *
     call SimoNOTE "StepInfo Delete previously created file"
     set DATMRTD1=%BaseLib1%\DATA\ASC1\DATMRTD1.DAT
     set DATMRTD2=%BaseLib1%\DATA\WRK1\DATMRTD2.DAT
     if exist %DATMRTD2% del %DATMRTD2%
rem  *
rem  * *******************************************************************
rem  * Step 3 of 4, Create a file with multiple record types
rem  *
     call SimoNOTE "StepInfo Execute Multiple Record Types in a File"
     run DATMRTC1
     if not ERRORLEVEL = 0 set JobStatus=0010
     if not %JobStatus% == 0000 goto :EojNok
     call SimoNOTE "DataTake %DATMRTD1%"
     call SimoNOTE "DataMake %DATMRTD2%"
rem  *
     if exist %DATMRTD2% goto :EojAok
     set JobStatus=0020
     goto :EojNok
rem  *
rem  * *******************************************************************
rem  * Step 4 of 4, End of Job Routines
rem  *
:EojAok
     call SimoNOTE "Finished JobName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING JobName %CmdName%, Job Status is %JobStatus%"
:End
     if not "%1" == "nopause" pause
